Skip to main content
GET
/
api
/
v1
/
files
List user files
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/files \
  --header 'Authorization: Bearer <token>'
{
  "error": "<string>",
  "items": [
    {
      "base_name": "<string>",
      "key": "<string>",
      "chat_id": "<string>",
      "download_url": "<string>",
      "etag": "<string>",
      "ext": "<string>",
      "file_name": "<string>",
      "file_url": "<string>",
      "last_modified": "2023-11-07T05:31:56Z",
      "mime": "<string>",
      "size": 123
    }
  ],
  "next_cursor": "<string>",
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Query Parameters

page_size
integer
default:50
Required range: 1 <= x <= 10000
cursor
string

Pagination cursor from previous response

directory
string

Filter by directory within workspace

Search files by filename

keys
string

Comma-separated file keys to retrieve

types
string

Comma-separated file extensions to filter

include_url
boolean
default:false

Include signed URLs in response

chat_id
string

Filter by associated chat ID

include_total
boolean
default:false

Include total count in response

sort_by
enum<string>
default:last_modified
Available options:
last_modified,
base_name,
size,
key
order
enum<string>
default:desc
Available options:
asc,
desc
project_id
string<uuid>

Optional project ID for project-scoped sandbox files

Response

File list

error
string
items
object[]
next_cursor
string
total
integer